function ret=angleBetweenPoints(coord1, coord2, maxXY, diagFov)
  %% Given two 2D points projected onto a screen.  The screen extends
  %% from -maxXY(1) to maxXY(1) in the x direction and -maxXY(2) to
  %% maxXY(2) in the y direction.  The diagonal FOV fov is given in
  %% radians.

  if(length(maxXY) != 2)
    error("maxXY must be of length 2");
  endif

  fovXY = diagFOVtoHorzVertDegrees(diagFov, maxXY(1)/maxXY(2));
  fovXY = fovXY * pi/180;


  %% Calculate the distance we must put the screen to get the given FOVs.
  f = maxXY(1)/tan(fovXY(1)/2);

  coord1 = [ coord1, -f ];
  coord2 = [ coord2, -f ];

  coord1 = coord1 ./ norm(coord1);
  coord2 = coord2 ./ norm(coord2);

  ret = acos(dot(coord1,coord2)) * 180/pi;

endfunction