function ret=applyMinMagToFOV(minMagFactor, origFOV)
  %% Given a image that was rendered and displayed with origFOV
  %% (horizontal or vertical or diagonal), calculate a new *rendered*
  %% FOV that should be used to apply the given amount of
  %% minification/magnification.

  factorToScaleFOV = atan(tan(origFOV*pi/360)/minMagFactor) / ((origFOV*pi/180)/2);
  ret = origFOV*factorToScaleFOV;

endfunction

