function ret=fovToMinMagDegrees(renderedFOV, displayFOV)
  %% Calculates the factor of minification/magnification that occurs
  %% when an image rendered with renderedFOV and is displayed with
  %% displayFOV. These FOVs can be in any direction
  %% (horizontal/vertical/diagonal) and the result will reflect the
  %% amount of minification/magnification in that direction.

  ret = tan(displayFOV * pi/360) / tan(renderedFOV * pi/360);

endfunction

