## frustum(left, right, bottom, top, near, far)
##
## Returns a frustum projection matrix (equivelent to glFrustum())
##
## Author: Scott Kuhl <http://www.kuhlweb.com>


function ret=frustum(left, right, bottom, top, near, far)

  a = (right+left) / (right-left);
  b = (top+bottom) / (top-bottom);
  c = (far+near) / (far-near);
  d = (2*far*near) / (far-near);

  c11 = (2*near) / (right-left);
  c22 = (2*near) / (top-bottom);

  ret = [c11 0   a  0
	 0   c22 b  0
	 0   0   c  d
	 0   0   -1 0 ];
endfunction
