function ret=intersectLinePlane(lineLoc, lineDir,
				planeLoc, planeNorm)


  denom = dot(planeNorm, lineDir);

  if(abs(denom) < .00001)
    error("Line and plane do not intersect (or are on top of each other)");
  endif

  
  pnpl = dot(planeNorm, planeLoc);
  pnll = dot(planeNorm, lineLoc);
  t = (pnpl-pnll) / denom;

  %% if t is negative, we had to invert the vector to get to
  %% intersection.

  ret = lineDir .* t .+ lineLoc;

endfunction


