function ret=matRotVec(vector, radians)
  %% Creates a rotation matrix that rotates around the given vector.
  %% The amount of rotation is givin in radians. The rotation happens
  %% counterclockwise if you are looking down the vector toward the
  %% origin.

  if(norm(vector) == 0)
    error("vector has no length");
  endif

  v = vector ./ norm(vector);

  %% Find rotation needed to get vector to z-axis
  RtoZ = matRotateToZ(v);

  %% Create the matrix for the actual rotation
  Rz = makeRotationRadians('z', radians);

  %% Apply the rotation matricies we have set up in order
  ret = RtoZ'*Rz*RtoZ;

endfunction