function ret=multPoints(matrix, points)
  %% multPoints(matrix, points)
  %%    Multiplies the points by a matrix
  %%
  %% 'matrix' should be a 4x4 matrix
  %%
  %% 'points' should be a list of points arranged with individual points
  %% on their own row.  If points do not have a 'w' element, add one in
  %% set to 1.

  if(rows(matrix) != 4 && columns(matrix) != 4)
    error("matrix is not 4x4");
  endif

  if(columns(points) == 3)
    points = [ points  ones(rows(points), 1) ];
  endif

  if(columns(points) != 4)
    error("points does not have 3 or 4 columns");
  endif

  ret = (matrix * points')';

endfunction