## ortho(left,right,bottom,top,near,far)
##
## Returns an orthographic projection matrix (equivalent to glOrtho()).
##
## Author: Scott Kuhl <http://www.kuhlweb.com>

function ret=ortho(left, right, bottom, top, near, far)

  far = -far;
  near = -near;

  rl = right-left;
  tb = top-bottom;
  fn = far-near;

  tx = (right+left) / rl;
  ty = (top+bottom) / tb;
  tz = (far+near) / fn;

  ret = [2/rl  0    0     tx
	 0     2/tb 0     ty
	 0     0    -2/fn tz
	 0     0    0     1 ];
endfunction
