## perspective(fovy, aspect, zNear, zFar);
##
## Returns a projection matrix with the given horizontal fov (in
## degrees), screen aspect ratio and near/far clipping planes.  
## (equivelent to gluPerspective())
##
## Author: Scott Kuhl <http://www.kuhlweb.com>

function ret=perspective(fovy, aspect, zNear, zFar)

  f = cot(fovy*(pi/180)/2);

  plus = zFar+zNear;
  minus = zNear-zFar;
  mult = zFar*zNear;

  ret = [f/aspect  0  0           0
	 0         f  0           0
	 0         0  plus/minus  2*mult/minus
	 0         0  -1          0];

endfunction
