## projectPoints(proj, points)
##
## Given a projection matrix (proj) and a set of (x,y,z,w) points with 1
## per row, project each point according to the projection matrix. Then,
## do a the perspective divide and return the (x/w,y/w,z/w) values of
## the points 1 per row.
##
## Author: Scott Kuhl <http://www.kuhlweb.com>

function ret=projectPoints(proj, points)

  ## Apply the projection to the given points
  projected = multPoints(proj, points);

  ## Do the perspective divide
  projected(:,1) = projected(:,1) ./ projected(:,4);
  projected(:,2) = projected(:,2) ./ projected(:,4);
  projected(:,3) = projected(:,3) ./ projected(:,4);

  ret=projected(:,1:3);


endfunction
