function testSuite()
  epsilon=.0001;


  calc = multPoints(matScale([ 1 2 4] ), [ 1 1 1 ]);
  expected = [ 1 2 4 1 ];
  if(norm(calc .- expected) > epsilon)
    error("Test failed");
  endif

  calc = multPoints(matRotToZ([4 3 10]), [ 4 3 10 ]);
  expected = [ 0 0 norm([4 3 10]) 1];
  if(norm(calc .- expected) > epsilon)
    error("Test failed");
  endif


  calc     = matRotVec([0 0 1], pi/4);
  expected = matRotVecDeg([0 0 1], 45);
  if(norm(calc .- expected) > epsilon)
    error("Test failed");
  endif

  calc     = matRotVec([ 1  1  1], pi/4);
  expected = matRotVec([-1 -1 -1], -pi/4);
  if(norm(calc .- expected) > epsilon)
    error("Test failed");
  endif

  calc     = matRotVec([1 0 0], pi/2);
  expected = matRot('x', pi/2);
  if(norm(calc .- expected) > epsilon)
    error("Test failed");
  endif



endfunction
